// 
// module : umfish40.ch
// project : umfish40.dll
// language : xBase++ 
// author: Rene Nooteboom
// email: r.nooteboom2@chello.nl
// mobile: +31 (0) 6 2182 7921
// created: 10/05/2006 15:03
// updated: 18/08/2006 21:01
//
#ifndef _COMMON_CH
 #include "common.ch"
#endif
//
#define ftiError 0xE0000001
//
#define ftiLeft 1 
#define ftiRight 2
#define ftiOff 0
#define ftiOn 1
//
#define ftiAX 1
#define ftiAY 2
//
#define ftiAXS1 3
#define ftiAXS2 4
#define ftiAXS3 5
//
#define ftiA1 1
#define ftiA2 2
#define ftiAV 3
#define ftiAZ 4
//
#define FULL_MOTOR_SPEED 7
#define FULL_OUTPUT_POWER 7
//
#define NORMAL_MODE 0 // motor output mode normal
#define ROB_MODE 1 // motor output in RobMode
//
#define ftiROBO_USB_Auto 0 // USB : then nSerialNr(=nComOrUSBNr) = 0 
#define ftiII 10 // COM
#define ftiII_Slave 20 // COM : intelligent interface with slave
#define ftiROBO_II_Mode 50 // COM : robopro in intelligent interface emulation mode
#define ftiROBO_USB_Fixed 60 // USB
#define ftiROBO_via_COM 70 // COM
#define ftiROBO_via_RF 80 // USB , RF
#define ftiROBO_IO_Extension 90 // USB : robopro io extension module via usb
#define ftiRF_Datalink 110 // USB ,RF
//
#define ftiTYPE_CODES_ {0,10,20,50,60,70,80,90,110}
#define ftiTYPE_TEXT_ {"RoboPro USB Automatic","30402(II) COM", ;
 "30402(II) COM,with Slave","RoboPro in II-mode COM","RoboPro USB fixed", ;
 "RoboPro via COM","RoboPro via RF-link","RoboPro IO-Extension", ;
 "RF Datalink attached to USB"}
#define ftiTYPE_USB_ {TRUE,FALSE,FALSE,FALSE,TRUE,FALSE,TRUE,TRUE,TRUE}
#define ftiTYPE_RF_ {80,110}
//
// eof
//
