//
//  File Name    : FT.CH
//  Description  : ft interface constants
//  Author       : Rene Nooteboom
//  Language     : xbase++ 
//  Project      : fischer techniek interfacing
//  Date created : 08/06/2005
//  Date updated : 18/08/2006 10:25
//
#define E1 1  // input lines
#define E2 2
#define E3 3
#define E4 4
#define E5 5
#define E6 6
#define E7 7
#define E8 8
#define E9 9  // slave inputs
#define E10 10
#define E11 11
#define E12 12
#define E13 13
#define E14 14
#define E15 15
#define E16 16
//
#define EX 1  // analog/digital inputs
#define EY 2
//
#define MOFF 0  // motor directions
#define MCCW 1  // 01b
#define MCW 2   // 10b
#define MON 1   // 01b
#define MRIGHT MCW
#define MLEFT MCCW
//
#define M1 1 // motor outputs
#define M2 2
#define M3 3
#define M4 4
#define M5 5 // slave interface
#define M6 6
#define M7 7
#define M8 8
#define M9 9 
#define M10 10
#define M11 11
#define M12 12
#define M13 13 
#define M14 14
#define M15 15
#define M16 16
//
#define O1 1  // output lines
#define O2 2
#define O3 3
#define O4 4
#define O5 5
#define O6 6
#define O7 7
#define O8 8
#define O9 9  // slave interface
#define O10 10
#define O11 11
#define O12 12
#define O13 13
#define O14 14
#define O15 15
#define O16 16

#define _FT_CH
//
// einde ft.ch
//
