//
//     File Name: FTLPT.CH
//   Description: definitions for ftlpt.prg
//        Author: Rene Nooteboom
//      Language: xBase++
//       Project: fischer techniek lpt interface driver
//  Date created: 08-08-2005
//  Date updated: 26/04/2006 19:35
//     Copyright: 2005 by Noot Systems Amsterdam
//
//   byte convention
//                       8   7   6   5   4   3   2   1  : bit nr
//                       7   6   5   4   3   2   1   0    2^
//                     MSB                         LSB
//
#define LOAD_OUT      1  // at port : cLptHexIO_
#define LOAD_IN       2
#define DATA_OUT      3
#define CLOCKSIGNAL   4
#define TRIGGER_X     5
#define TRIGGER_Y     6
#define DATA_IN       8  //  next 3 correspond to the same line
#define BUSYLINE      8  //  of port : nLptStatusReg_(= cLptHexIO_ + 1)
#define COUNT_IN      8
//
#define RUHEBYTE      48 // 30h=0011 0000 , static byte
//
// end of ftlpt.ch
//
