//
// module   : IO.PRG
// language : xBase++
// author   : rene nooteboom
// created  : 19 April 2006
// updated  : 17/08/2006 19:39
// libs     : xbToolsIII
// to encapsulate the io functions in inpout32.dll
// inpout32.dll must be in %SystemRoot%\system32
//
//
#include "common.ch"
#include "dll.ch"
#include "noot.ch"
//
STATIC nDllHandle:=0
//
Function GetIODllHandle()
Return nDllHandle
//
PROCEDURE LoadIODll()
 nDllHandle := DllLoad("inpout32.dll")
 IF nDllHandle == 0
  Tone(300,1)
  alert("LoadIODll():Error: loading inpout32.dll")
 ENDIF
 RETURN
//
PROCEDURE CloseIODll()
 If !(nDllHandle == 0)
  DllUnload(nDllHandle)
 EndIf
 nDllHandle := 0
 RETURN
//
FUNCTION inbyte(xPortAddress)
 LOCAL iResult
 If IS_CHAR(xPortAddress)
  xPortAddress := cton(xPortAddress,16)
 EndIf
 iResult := DllCall(nDllHandle,DLL_CDECL,"Inp32",xPortAddress)
 RETURN iResult
//
PROCEDURE outbyte(xPortAddress,xValue)
 LOCAL xResult
 If IS_CHAR(xPortAddress)
  xPortAddress := cton(xPortAddress,16)
 EndIf
 If IS_CHAR(xValue)
  xValue := cton(xValue,16)
 EndIf
 xResult := DllCall(nDllHandle,DLL_CDECL,"Out32",xPortAddress,xValue)
 RETURN
//
// end of io.prg
//
  