//
// module   : umfish30.PRG
// language : xBase++
// author   : rene nooteboom
// created  : 10/05/2006 21:17
// updated  : 16/08/2006 11:35
//
#include "common.ch"
#include "dll.ch"
#include "noot.ch"
//
STATIC nDllHandle:=0
//
Function umFish30Handle()
Return nDllHandle
//
Function LoadUmFish30()
 LOCAL lOk:=TRUE
 nDllHandle := DllLoad("umfish30.dll")
 IF nDllHandle == 0
  lOk := FALSE
  ALARMTONE
  alert("LoadUmFish30(): Error: loading umfish30.dll")
 ENDIF
 Return lOk
//
PROCEDURE UnloadUmFish30()
 If !(nDllHandle == 0)
  DllUnload(nDllHandle)
 EndIf
 nDllHandle := 0
 Return
//
Function UmFish30Version()
 LOCAL nVersion
 DllCall(nDllHandle,DLL_STDCALL,"csVersion")
 Return nVersion
//
Procedure StartWinRTsys()
 DllCall(nDllHandle,DLL_STDCALL,"umStartDriver")
 Return
//
Procedure StopWinRTsys()
 DllCall(nDllHandle,DLL_STDCALL,"umStopDriver")
 Return
//
// end of umfish30.prg
//
  